package com.koobietech.eas.service;

import com.anji.captcha.model.common.ResponseModel;
import com.koobietech.eas.common.result.JsonResult;
import com.koobietech.eas.dao.Pojo.AdminPojo;
import com.koobietech.eas.dao.adminLoginPojo.UserDetail;
import com.koobietech.eas.dao.dto.LoginToken;

public interface AdminLoginService {
    LoginToken adminLogin(AdminPojo adminPojo);

    LoginToken refreshToken(String refreshToken);

    //增加一个接口 把ResponseModel 里面的值赋值到JsonResult里面
    JsonResult verifyToJsonResult(ResponseModel responseModel);


    UserDetail getUserInfo(String token);
}
